<?php
$t = "Домены";
include_once '../core/core.php';
if (!$user->auth()){
	$core->GoToPage("/login.lm");
	die();
}
if ($act == "del" && $id != 0){
	$ddd = $db->getObject("SELECT * FROM `domains` WHERE `did` = '".$id."' AND `sid` = '".($user->getData()->id)."'");
	if (!$ddd){
		include_once '../core/head.php';
		echo '<div class="alert alert-danger">Домен не найден.</div>';
	} else {
		$db->Query("DELETE FROM `domains` WHERE `did` = '".$id."' AND `sid` = '".($user->getData()->id)."'");
		sendVk(-1,"- Домен ".$core->FilterString($ddd->name)." отвязан от ".($user->getData()->domain));
		include_once '../core/head.php';
		echo '<div class="alert alert-success">Домен '.($ddd->name).' успешно отвязан от '.$user->getData()->domain.'</div>';
	}
}
if (isset($_POST["add"]) && $user->getData()->email_activated == "true"){
	$domen_to = substr_count($core->FilterString($_POST["domain"]), '.');
	$d1 = mb_substr($core->FilterString($_POST["domain"]), 1, 1);
	$d2 = mb_substr($core->FilterString($_POST["domain"]), -1, 1);
	
	if (!isset($_POST["domain"]) || empty($_POST["domain"])){
		$core->regError("Не введен адерес сайта","Не введен адерес сайта",1,"Domain");
	} elseif (strlen(trim($_POST['domain'])) < 4) {
		$core->regError("Слишком короткий адрес домена","Слишком короткий домен",7,"Domain");
	} elseif (strlen(trim($_POST['domain'])) > 32) {
		$core->regError("Слишком длинный адрес домена","Слишком длинный домен",8,"Domain");
	} elseif (!preg_match("#^([A-z0-9\.\_-])+$#ui", $_POST['domain'])) {
		$core->regError("Только латиница, цифры и вверхнее и нижние подчеркивание","Только латиница, цифры, вверхнее и нижние подчеркивание, а также точка",9,"Domain");
	} elseif ($d1 == "." || $d2 == "."){
		$core->regError("","Некорректно указан домен",4,"Domain");
	} elseif (($core->checkString($core->FilterString($_POST["domain"]),"glark.ru")) || ($core->checkString($core->FilterString($_POST["domain"]),"h6m.ru"))){
		$core->regError("Не введен адерес сайта","Указание поддоменов запрещено",2,"Domain");
	} elseif (!$core->wwwValid($_POST["domain"])){
		$core->regError("Попытка регистрации запрещенного домена","Данный домен недоступен для привязки. Выберите другой",2,"Domain");
	} elseif ($domen_to == 0){
		$core->regError("","Некорректно указан домен",4,"Domain");
	} elseif ($db->Count("domains","WHERE `name` = '".$core->FilterString($_POST["domain"])."' LIMIT 1") != 0){
		$core->regError("Данный адрес сайта уже занят. Рекомендуем вам восстановить пароль если вы забыли данные от входа.","Данный домен уже используется в системе.",12,"Domain");
	} else {
		sendVk(-1,"+ Домен ".$core->FilterString($_POST["domain"])." привязан к ".($user->getData()->domain));
		$db->Query("INSERT INTO `domains`(`sid`, `name`,`timeAdd`) VALUES ('".($user->getData()->id)."','".(strtolower($core->FilterString($_POST["domain"])))."','".time()."')");
		include_once '../core/head.php';
		echo '<div class="alert alert-success">Домен '.(strtolower($core->FilterString($_POST["domain"]))).' успешно привязан к '.$user->getData()->domain.'</div>';
		
	}
}
include_once '../core/head.php';
if ($core->isBooleanError()){
	foreach ($core->showError() as $csE){
		echo '<div class="alert alert-danger">#Err'.$csE["code"].'</b> | '.$csE["utxt"].'</div>';
	}	
}
echo '<div class="col-md-12"><div class="panel panel-default">
<div class="panel-heading">Привязка домена</div>
<div class="panel-body">
<p style="margin-bottom:0">Здесь вы можете припарковать домен к своему сайту.<br>
Для привязки домена по NS-серверам используйте:<br>
<code>ns1.h6m.ru</code><br>
<code>ns2.h6m.ru</code><br>
В случаи возникновения проблем или необходимости SSL-сертификата пишите в телеграм.</p><br>';

echo'
<form class="form-horizontal" method="POST">
		<div class="form-group">
        <label for="inputData1" class="col-sm-2 control-label">Домен</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="domain" id="inputData1" placeholder="Домен: к примеру dcms-help.ru">
        </div>
		</div>
		<div class="form-group" style="margin-bottom:0">
        <div class="col-sm-offset-2 col-sm-10 text-right">
            <button type="submit" class="btn btn-primary" name="add">Привязать</button>
        </div>
    </div>
		
		</form>

</div>
<table class="table"><thead><tr>
    <th>#</th>
    <th>Домен</th>
    <th>Дата</th>
    <th>Действие</th>
</tr></thead><tbody>';
$t_h = 1;
$data = $db->Query("SELECT * FROM `domains` WHERE `sid` = '".$user->getData()->id."' ORDER BY `did` DESC"); 
while ($d = mysqli_fetch_assoc($data)){
	echo '<tr><th scope="row">'.$t_h.'</th><td><a href="http://'.$d["name"].'/">'.$d["name"].'</a></td>
    <td>'.($core->RealTime($d["timeAdd"])).'</td>
    <td><a class="btn btn-danger btn-xs" href="?act=del&id='.$d["did"].'"><i class="fa fa-fw fa-trash"></i></a></td>
</tr>';
	$t_h++;
}
echo '</tbody></table></div></div>';


include_once '../core/foot.php';
?>